> ## Documentation Index
> Fetch the complete documentation index at: https://developers.explorium.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Webhook Connectivity



## OpenAPI

````yaml post /v1/webhooks/check_connectivity
openapi: 3.1.0
info:
  title: Partner Service
  version: 0.2.349
servers:
  - url: https://api.explorium.ai
    description: AgentSource Server
security: []
paths:
  /v1/webhooks/check_connectivity:
    post:
      tags:
        - Webhooks
      summary: Check Webhook Connectivity
      operationId: check_webhook_connectivity
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookCheckConnectivityRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookCheckConnectivityResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - APIKeyHeader: []
components:
  schemas:
    WebhookCheckConnectivityRequest:
      properties:
        request_context:
          type: object
          title: Request Context
          example: null
          nullable: true
        partner_id:
          type: string
          title: Partner Id
        simulation:
          $ref: '#/components/schemas/WebhookSimulation'
      additionalProperties: false
      type: object
      required:
        - partner_id
      title: WebhookCheckConnectivityRequest
    WebhookCheckConnectivityResponse:
      properties:
        response_context:
          $ref: '#/components/schemas/ResponseContext'
      type: object
      required:
        - response_context
      title: WebhookCheckConnectivityResponse
      description: 'This is base response model for all responses in partner service. '
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookSimulation:
      properties:
        event_name:
          $ref: '#/components/schemas/WebhookSimulationEventType'
        number_of_events:
          type: integer
          maximum: 10
          minimum: 1
          title: Number Of Events
          description: Number of events to generate in simulation (between 1 and 10)
        event_time:
          type: string
          format: date-time
          title: Event Time
      type: object
      title: WebhookSimulation
    ResponseContext:
      properties:
        correlation_id:
          type: string
          title: Correlation Id
        request_status:
          $ref: '#/components/schemas/RequestStatus'
        time_took_in_seconds:
          type: number
          title: Time Took In Seconds
      type: object
      required:
        - correlation_id
        - request_status
        - time_took_in_seconds
      title: ResponseContext
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WebhookSimulationEventType:
      type: string
      enum:
        - award
        - closing_office
        - company_award
        - cost_cutting
        - decrease_in_all_departments
        - decrease_in_customer_service_department
        - decrease_in_engineering_department
        - decrease_in_marketing_department
        - decrease_in_operations_department
        - decrease_in_sales_department
        - employee_joined_company
        - funding_round
        - hiring_in_creative_department
        - hiring_in_education_department
        - hiring_in_engineering_department
        - hiring_in_finance_department
        - hiring_in_health_department
        - hiring_in_human_resources_department
        - hiring_in_legal_department
        - hiring_in_marketing_department
        - hiring_in_operations_department
        - hiring_in_professional_service_department
        - hiring_in_sales_department
        - hiring_in_support_department
        - hiring_in_trade_department
        - hiring_in_unknown_department
        - increase_in_all_departments
        - increase_in_customer_service_department
        - increase_in_engineering_department
        - increase_in_marketing_department
        - increase_in_operations_department
        - increase_in_sales_department
        - ipo_announcement
        - lawsuits_and_legal_issues
        - merger_and_acquisitions
        - new_funding_round
        - new_investment
        - new_office
        - new_partnership
        - new_product
        - outages_and_security_breaches
        - prospect_changed_company
        - prospect_changed_role
        - prospect_job_start_anniversary
      title: WebhookSimulationEventType
      description: >-
        The `WebhookSimulationEventType` class is an enumeration that represents
        various types of events
    RequestStatus:
      type: string
      enum:
        - success
        - miss
        - failure
      title: RequestStatus
      description: >-
        The `RequestStatus` class is an enumeration that defines the possible
        statuses of a request.


        This enum is used to indicate whether a request was successful, missed,
        or failed. It ensures

        consistent handling of request statuses across the application.


        Attributes:
            SUCCESS: Indicates that the request was successfully processed.
            MISS: Indicates that the request did not find any matching data.
            FAILURE: Indicates that the request encountered an error or failure.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: api_key

````